Subject: Re: [PATCH] mark PCI resource with start 0 as unassigned

From: Sergei Shtylyov <[email-masked]>
Date: Mon, 04 Dec 2006 16:08:46 +0300

Hello.

Segher Boessenkool wrote:
>>> Please make this run on pSeries only; on a PowerMac for
>>> example, it's totally normal that the first PCI legacy I/O
>>> BAR in the system gets assigned 0.

>>    What do you mean by legacy I/O BAR?

> Any PCI BAR with bits 1:0 == 0b01.

>> If you mean IDE controller, that would drive IDE core mad like this:
>>
>> W82C105_IDE: inconsistent baseregs (BIOS) for port 0, skipping

> So that needs fixing too, then.

    I'd agree here, that check in the IDE code seems like being too x86 
specific. I'm having issues with it as well on MPC85xx/U-Boot...

> Segher

WBR, Sergei